%global realname egeoip
%global upstream mochi
%global debug_package %{nil}
%global git_tag 45c32ad
%global patchnumber 0


Name:		erlang-%{realname}
Version:	0
Release:	0.8.20111025git%{git_tag}%{?dist}
Summary:	Erlang IP Geolocation module
Group:		Development/Languages
License:	MIT and BSD with advertising
URL:		https://github.com/mochi/egeoip
# wget --no-check-certificate --content-disposition https://github.com/mochi/egeoip/tarball/45c32ad
Source0:	%{upstream}-%{realname}-%{git_tag}.tar.gz
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires:	erlang-rebar
Requires:	erlang-erts
# No file:read_line/1 in R12B and older
Requires:	erlang-kernel >= R13B
Requires:	erlang-stdlib


%description
Erlang IP Geolocation module, currently supporting the MaxMind GeoLite City
Database.


%prep
%setup -q -n %{upstream}-%{realname}-%{git_tag}
mv priv/LICENSE.txt LICENSE.geolitecity


%build
rebar compile -v
rebar doc -v


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/{ebin,priv}
install -p -m 0644 ebin/%{realname}.app %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/
install -p -m 0644 ebin/%{realname}*.beam %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/ebin
install -p -m 0644 priv/GeoLiteCity.dat %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/priv
rm -f doc/edoc-info


%clean
rm -rf $RPM_BUILD_ROOT


%check
rebar eunit -v


%files
%doc LICENSE LICENSE.geolitecity README doc/
%dir %{_libdir}/erlang/lib/%{realname}-%{version}
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/ebin
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/priv
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.app
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}*.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/priv/GeoLiteCity.dat


%changelog
* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.8.20111025git45c32ad
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.7.20111025git45c32ad
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.6.20111025git45c32ad
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.5.20111025git45c32ad
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.4.20111025git45c32ad
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jun 07 2012 Peter Lemenkov <lemenkov@gmail.com> - 0-0.3.20111025git45c32ad
- Added unit-tests
- Invoke rebar with more verbosity
- Removed no longer required defattr() line
- Added API docs (doc/ directory)
- Confirmed the legal status of the LICENSE.geolitecity

* Tue May 15 2012 Peter Lemenkov <lemenkov@gmail.com> - 0-0.2.20111025git45c32ad
- Update to the latest git tag

* Sat Jan 22 2011 Peter Lemenkov <lemenkov@gmail.com> - 0-0.1.20110122gitfac69bb
- Initial build

